Bug 160460 - some kde 3.4.1 GUI applications are broken with current libglade on FC4
some kde 3.4.1 GUI applications are broken with current libglade on FC4
Product: Fedora
Classification: Fedora
Component: glade2 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2005-06-15 05:56 EDT by Flavio Cardone
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-27 01:15:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Flavio Cardone 2005-06-15 05:56:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Some KDE programs, like update, system-config-network, from kde 3.4.1 are broken with the libglade2 provided in FC4. My solution was to install libglade2-2.4.1-1.1.fc3.nr.i386.rpm but I still think it's a a bug that should be fixed with the libglade used for FC4

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install kde 3.4.1 and the FC4/core glade2
2. start up2date or system-config-network

Actual Results:  error message with undefined object in libglade

Expected Results:  no error message

Additional info:
Comment 1 John Degenstein 2005-06-26 12:39:26 EDT
I have this exact same problem, but up2date and system-config-network are not
kde programs

I upgraded to FC4 from FC3, and the problem occurs with libglade2-2.5.1-2

the exact error message i get when running system-config-network is:

Component: system-config-network
Version: 1.3.26
Summary: TB8867138a system-config-network-gui:140:main:ImportError:
/usr/lib/libglade-2.0.so.0: undefined symbol: atk_relation_set_add_relation_by_type

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 140, in main
    import gtk.glade
ImportError: /usr/lib/libglade-2.0.so.0: undefined symbol:

Local variables in innermost frame:
splash_window: None
splash: 0
NC_functions: <module 'netconfpkg.NC_functions' from
gnome: <module 'gnome' from
Comment 2 Matthias Clasen 2006-11-27 01:15:43 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component

Note You need to log in before you can comment on or make changes to this bug.